### Method

# Gio Application set_option_context_parameter_string

since: 2.56

#### Declaration

    void
    g_application_set_option_context_parameter_string (
      GApplication* application,
      const gchar* parameter_string
    )

#### Description

Sets the parameter string to be used by the commandline handling of `application`.

This function registers the argument to be passed to `g_option_context_new()` when the internal `GOptionContext` of `application` is created.

See `g_option_context_new()` for more information about `parameter_string`.

Available since: 2.56

#### Parameters

`parameter_string`

  Type: `const gchar*`

  A string which is displayed in the first line of `--help` output, after the usage summary `programname [OPTION...]`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.